\version "2.12.3"
\include "..\SHRepeats.ly"
#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key a \major
	\time 2/4
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	cis4 e cis b8[ cis] d4 d cis2
	b4 b e e e dis e2
	\repeat volta 2
	{
		b8[ gis] e[ gis] b4 b a4. b8 cis2
		a4. cis8 e4 fis8[ d] cis4 d cis2
	}
}

altoMusic = \relative c'
{
	\key a \major
	\clef treble
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	e4 a gis gis a a <a e>2
	fis4 fis a a e gis a2
	\repeat volta 2
	{
		e4. e8 e4 e e4. gis8 a2
		a4. a8 a4 fis e <gis e> <a e>2
	}
}

tenorMusic = \relative c''
{
	\key a \major
	\clef treble
	\sacredHarpHeads
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	
	a4 cis e e fis fis e2
	d4 d cis cis b8[ a] b[ cis] b2
	\repeat volta 2
	{
		b4. b8 b[ a] gis[ fis] cis'4. cis8 cis8[ b a gis]
		e'4. e8 e16[ cis8.] a8[ b] cis4 b a2
	}
}

bassMusic = \relative f
{
	\key a \major
	\clef bass
	\sacredHarpHeads
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	
	a4 a e e d d a'2
	b4 b a a gis fis e2
	\repeat volta 2
	{
		e4. e8 e4 e a4. a8 a8([ cis] d[ cis])
		a4. a8 a4 d,4 e e <a a,>2
	}
}

verseOne = \lyricmode
{
	\set stanza = "1."
	I am not con -- _ cern'd to know,
	What to -- mor -- row's fate will do.
	'Tis _ e -- nough that I can say,
	I've pos -- ses -- sed my -- self to -- day.
}

verseTwo = \lyricmode
{
	\set stanza = "2."
	Then, if hap -- p'ly mid -- night death
	Seize my flesh, and stop my breath,
	Yet, to -- mor -- row I shall be
	Heir to the best part of me.
}

verseThree = \lyricmode
{
	\set stanza = "3."
	Glit -- t'ring stones, and gol -- den things,
	Wealth and ho -- nours that _ have _ wings
	E -- ver flut -- _ t'ring _ to be gone, _ _ _
	I can ne -- _ ver _ call my own.
}

verseFour = \lyricmode
{
	\set stanza = "4."
	Ri -- ches that the world be -- stows,
	She can take and I can lose;
	But the trea -- sures that are mine
	Lie a -- far be -- yond her line.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #1 %Suggests to Lilypond how many braces to use for this piece.
}

\header {
	title = "Content.  P.M." %Tune name and hymn meter
	poet = \markup { "A Major   " } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-2
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 96 4) %Sets the metronome speed and value of the beat
		}
	}
}