\version "2.12.3"
\include "..\SHRepeats.ly"
#(set-global-staff-size 18)

trebleMusic = \relative c''
{
	\key c \major % a minor, really
	\time 4/4
	\sacredHarpHeads 

	a2 c4 b a1 c2 e4 d c1
	e2 c4 b8 a gis2. a4 b1
	c2 c4 c b2. d4 c2( b4) a gis1
	a2 a8[ b] c[ b] a2 gis a1
}

altoMusic = \relative c'
{
	\key c \major
	%\clef alto
	\sacredHarpHeads 

	e2 g4 g f1 e2 g4 g g1
	g2 a4 f e2( dis4) cis e1
	g2 g4 e d2( e4) g g2( g8[ f]) e[ d] e1
	a2 a4 a8 g f2 e e1
}

tenorMusic = \relative c''
{
	a2 e'4 d c1 a2 c4 d e1
	c2 a4 d c2( b4) a gis1
	e'2 e4 c g'4.( f8 e4) d e( c8 e d4) c b1
	a2 d4 e8 d c2 b a1
}

bassMusic = \relative f
{
	\clef bass
	a2 e4 g a1 a2 e4 g c,1
	c2 f4 d e2( gis4) a e1
	<c c'>2 <c c'>4 <c c'> <g g'>2. <a a'>8 <b b'> <c c'>2( <g g'>4) <a a'> e'1
	f2 d4 d e2 e a,1
	\bar ".|."
}

verseOne = \lyricmode
{
	\set stanza = "1."
	Re -- turn, O God of love re -- turn;
	Earth is a _ tire -- some place:
	How long shall we, thy chil -- dren, mourn
	Our ab -- _ sence _ from thy face.
}

verseTwo = \lyricmode
{
	\set stanza = "2."
	Let heav'n suc -- ceed our pain -- ful years;
	Let sin and sor -- row cease;
	And in pro -- por -- tion to our tears,
	So make our joys in -- crease.
}

verseThree = \lyricmode
{
	\set stanza = "3."
	Thy won -- ders to thy ser -- vants show,
	Make thine own work com -- plete;
	Then shall our souls thy glo -- ry know,
	And own thy love was great.
}

verseFour = \lyricmode
{
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #1 %Suggests to Lilypond how many braces to use for this piece.
}

\header {
	title = "St. Luke's.  C.M. " %Tune name and hymn meter
	poet = \markup { "C Minor.   Isaac Watts." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-2
		\override Score.StanzaNumber #'font-series = #'medium
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
%		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}