\version "2.12.3"
\include "..\SHRepeats.ly"
%#(set-global-staff-size 18)

trebleMusic = \relative c''
{
	\key c \major 
	\sacredHarpHeads 

	c2^\markup { \tiny Andante. } e4 d e1
	e2 d8 c b4 a a c c a c g c b1
	R1
	g2 a4 g g1
	c2 b4 g g c d a b1 a2 a4 c b1
	d2 c4 g g2 b c4 g c c b1
	a2 g4 a e'2. d4 c c c <d b> <e c>1
}

altoMusic = \relative c'
{
	\key c \major
%	\clef alto
	\sacredHarpHeads 

	e2 g4 g g1
	g2 f4 e a f e e d g f a g1           % changed 5th note to F from G
	R1
	e2 f4 d e1                           % changed 2d note to F from E
	a2 g4 g g e g a g1 a2 a4 g g1
	d2 e4 g g2 g e4 g a g g1
	a2 g4 f e4.( d8 c4) a' g e a g g1
}

tenorMusic = \relative c''
{
	\sacredHarpHeads 

	c2 c4 b c1
	c2 a4 g c d c g' f e d c d1
	R1
	c2 c4 b c1
	c2 d4 e d c b a g1 c2 d4 e d1
	g2 e4 c b2 g c4 b a g d'1
	c2 e4 f g2. f4 e g f8 e d4 c1
}

bassMusic = \relative f
{
	\clef bass
	\sacredHarpHeads 

	c2 c4 <g g'> c1
	c2 d4 e f <f d> a8 b c4 d c b a g1
	R1
	c,2 f4 g c,1
	f2 d4 c g' a g f e1 f2 d4 c g1
	b2 c4 c e2 e c4 e f g g1
	f2 e4 d c2.
	d4 e c f g c,1                       % changed final note to C from E
	\bar ".|."
}

verseOne = \lyricmode
{
%	\set stanza = "1."
	The wel -- come news,
	Thro' ev' -- _ ry an -- gel's breast
	fresh rap -- tures shall dif -- fuse.
	The day is come,
	When Sa -- tan with his pow'r
	shall sink to end -- less doom;
	No more shall we his hos -- tile troops pur -- sue,
	From cloud to cloud nor the long fight re -- new.
}

verseTwo = \lyricmode
{
}

verseThree = \lyricmode
{
%	\set stanza = "3."
	The wel -- come news,
	Thro' ev' -- ry an -- gel's breast
	fresh rap -- tures shall dif -- fuse.
	The day is come,
	When Sa -- tan with his pow'r
	shall sink to end -- less doom;
	No more shall we his hos -- tile troops pur -- sue,
	From cloud to cloud nor the long fight _ re -- new.
}

verseFour = \lyricmode
{
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##f
	top-margin = 0.5\in
	bottom-margin = 0.5\in
}

\header {
	title = "Victory.  P.M. " %Tune name and hymn meter
	poet = \markup { "C Minor.   John Pomfret, 1736." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\override Score.StanzaNumber #'font-series = #'medium
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
%		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
%		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}