\version "2.12.3"
\include "..\SHRepeats.ly"
%#(set-global-staff-size 18)

trebleMusic = \relative c''
{
	\key a \major 
	\time 2/4
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	a4 a a a gis b b2
	a8[ b] cis[ d] cis4 b a d cis2
	a4 a a a a8[ b] cis[ d] cis2
	gis4 gis gis gis gis8[ a] b[ cis] b4. r8
	a4-| r4 cis4-| cis^\markup { \tiny Crescendo } cis cis b8[ cis] d[ cis] d2
	b4. cis8 cis4 a e' e                             % changed 2d note to CIS from B
	\time 6/4
	\partial 4*4 cis2.~ cis4
	\repeat volta 2 {
		\partial 4*2 e cis a2 e4 a2 d4 cis2.( a2.)
		cis4^\markup { \tiny Pia. } e fis8 fis e2 d4
	}
	\alternative {
		{ \partial 4*5 cis2.~ cis2 }
		{ cis2.~ cis2. }
	}
	\time 2/4
	R2
	cis8[ d] e[ fis] e4. cis8 a4 b b2
	cis8[ b] a[ b] cis4 cis8[ b] a4 e' cis2           % changed penultimate note to E' from D
	a8[ b] cis[ d] cis4 cis d8[ cis] b[ a] b2
	e4-| e e4. r8 cis4-| b a4. r8
	a4.-| b8 cis8.[ d16 cis8] a e'4 b cis2^\fermataMarkup
	\time 4/4
	\repeat volta 2 {
		b2. b4 cis2. b4 a a a-| r4
		gis2. b4 e2. d4 cis cis cis-| r4
		b2. a4 gis2 a b b b1
		cis2. a4 b4.( cis8 b4) a e'2 b cis1
	}
	\time 3/4
	R2. r2
	e,8. e16 a4 a b16.[ cis32] d8 cis4 cis
	e,8. e16 cis'4 cis b b2.
	R2. R2. r2
	e8. e16 cis4 a b8. b16 b2
	b8. b16 cis4 e dis8. dis16 e2
	e4 
	\time 4/4 
	d2^\markup { \tiny Maestoso }( cis4) b b1 cis
	\bar ".|."
}

altoMusic = \relative c'
{
%	\clef alto
	\key a \major 
	\time 2/4
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	e4 fis e fis e e e2
	cis4 fis fis fis e e e2
	fis4 fis fis a fis eis fis2                     % changed note before EIS to FIS from GIS
	gis4 e e e b'8[ a] gis[ fis] gis4. r8
	fis4-| r4 a-| a a a gis8[ a] b[ gis] a2
	gis4. a8 a4 a e e                               % changed second note to A from GIS
	\time 6/4
	\partial 4*4 e2.~ e4
	\repeat volta 2 {
		\partial 4*2 e4 e e2 e4 fis2 a4 gis2.( fis2.)
		e4 a <a fis>8 fis gis2 <gis e>4 
	}
	\alternative {
		{ \partial 4*5 <a e>2.( a2) }
		{ e2.~ e2. }
	}
	\time 2/4
	R2
	e4 e a4. fis8 e4 fis gis2 
	<gis e>4 gis gis e fis gis a2
	e4 e fis fis gis fis e2
	gis4-| gis gis4. r8 fis4-| fis fis4. r8
	e4.-| fis8 a4. fis8 e4 e e2^\fermataMarkup
	\time 4/4
	\repeat volta 2 {
		fis2. gis4 a2. e4 fis fis fis r4
		e2. fis4 gis2( fis4) e a a a-| r4
		e2. cis4 e2 e gis gis gis1
		e2. a4 gis4.( a8 gis4) fis e2 e e1
	}
	\time 3/4
	r2 
	e8. e16 d4 cis e8. e16 cis4 e                              % changed fourth note to CIS from D
	e8. e16 a,4 a e' e4. e8 fis4 gis2.                         % first two notes down the octave in original
	R2. r2
	e8. e16 a4 a gis8. e16 cis4 e fis8. fis16 gis2 
	e8. e16 <a e>4 <e cis> fis8. fis16 <gis e>2 fis4
	\time 4/4 
	fis2. e4 <gis e>1 <a e>1
}

tenorMusic = \relative c''
{
	\key a \major 
	\time 2/4
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	a4 fis' e16[ cis8.] a8[ b] cis4 b8[ a] e'2 
	cis8[ b] a[ gis] fis4 d' cis b a2
	cis4 cis cis cis cis8[ b] a[ gis] fis2
	b4 b b b e e e4. r8
	a4-| r4 e-| fis e e d8[ cis] b[ a] fis'2
	e4. a8 e4 fis8[ d] cis4 b
	\time 6/4
	\partial 4*4 a2.~ a4
	\repeat volta 2 {
		\partial 4*2 b4 e cis2 a4 d2 fis4 e2.( d)
		cis4 a fis'8 d cis2 b4
	}
	\alternative {
		{ \partial 4*5 a2.~ a2 }
		{ a2.~ a2. }
	}
	\time 2/4
	R2
	a8[ d] cis[ b] cis4. a8 e'4 dis e2                    % 4th note unclear in score
	cis8[ e] fis[ e] e4 cis8[ e] fis4 gis fis2            % changed final note to FIS from G
	e8[ d] cis[ b] cis4 a b8[ a] gis[ fis] e2
	b'4-| b b4. r8 a4-| d cis4. r8
	e4.-| a8 e8.[ fis16 e8] d cis4 b a2^\fermataMarkup    % changed first note to E from D
	\time 4/4
	\repeat volta 2 {
		d2. d4 cis2. a4 d d d-| r4
		b2. b4 cis2. a4 e' e e-| r4
		b2. <cis a>4 cis2 a e' dis e1                     % changed 2d note to <cis a> from <d b>
		e2. <a fis>4 e4.( fis8 e4) d cis2 b a1
	}
	\time 3/4
	r2 
	e8. e16 a4 a b16.[ cis32] d8 cis4 a 
	e'8. e16 cis4 a b16.[ cis32 d8] cis4. cis8 fis4 e2.
	r2 
	e8. e16 cis4 a b16.[ cis32] d8 cis4 cis
	b8. b16 e4 e dis8. dis16 e2
	e,8. e16 cis'4 cis b8. b16 b2 cis4
	\time 4/4 
	b2( a4) b4 gis1 a
}

bassMusic = \relative f
{
	\clef bass
	\key a \major 
	\time 2/4
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	<a a,>4 d, cis d e e e2
	fis4 fis fis d e e a2
	fis4 fis fis8[ gis] a[ b] cis4 cis, fis2
	e4 e e e e e e4. r8
	fis4-| r4 a-| a a a b8[ a] gis[ fis] d2
	e4. fis8 e4 fis8[ gis] a4 e
	\time 6/4
	\partial 4*4 <a a,>2.~ <a a,>4
	\repeat volta 2 {
		\partial 4*2 e4 e a2 cis4 fis,2 d4 cis2.( d)
		<a a'>4 <cis cis'> <d d'>8 <b b'> <e e'>2 e4
	}
	\alternative {
		{ \partial 4*5 <a a,>2.~ <a a,>2 }
		{ <a a,>2.~ <a a,>2. }
	}
	\time 2/4
	R2
	<a a,>4 <a a,> <a a,>4. <d d,>8 <cis cis,>4 <b b,> e,2   % changed last note to E from CIS
	e4 e e e d cis fis2
	a8[ b] a[ gis] fis4 fis e8[ fis] gis[ a] b2
	e,4-| e e4. r8 fis4-| d a'4. r8
	cis4. b8 a4. d,8 e4 e <a a,>2^\fermataMarkup
	\time 4/4
	\repeat volta 2 {
		b2. a4 fis2. e4 d d d-| r4
		e2. d4 cis2. e4 a cis cis-| r4
		e,2. fis4 e2 a b b, e1
		a2. fis4 e2( cis4) d e2 e <a a,>1
	}
	\time 3/4
	R2.*3 r2
	e8. e16 cis4 a b e2
	e8. e16 a4 a e8. e16 fis4 fis e8. e16 cis4 a
	e'8. e16 cis'4 cis b8. b16 e,2 
	e8. e16 a4 a gis8. b16 e,2 cis4
	\time 4/4 
	d2( e4) e e1 <a a,>
}

verseOne = \lyricmode
{
%	\set stanza = "1."
	An -- gels roll the rock a -- way,
	Den of death re -- sign thy prey;
	See the Sav' -- our quit the tomb,
	Glo -- wing with im -- mor -- tal bloom.
	Shout, shout ye ser -- aphs, Gabr' -- el raise
	Fame's e -- ter -- nal trump of praise,
	Let the earth's re -- mo -- test bound,
	E -- cho to the bliss- ful sound. sound.
	Saints of God lift up your eyes,
	See the con -- qu'rer scale the skies,
	Troops of an -- gels on the road,
	Hail and sing, Hail and sing,
	Hail and sing th'in -- car -- nate God.
	Heav'n un -- folds its por -- tals wide,
	Match -- less he -- ro thro' them ride,
	King of glo -- ry mount thy throne,
	Bound -- less em -- pire is thy own.
	Hal -- le -- lu -- jah, hal -- le -- lu -- jah, 
	hal -- le -- lu -- jah, a -- men,
	Hal -- le -- lu -- jah, praise the Lord,
	Hal -- le -- lu -- jah, praise the Lord,
	A -- men, and a -- men.
}

verseTwo = \lyricmode
{
%	\set stanza = "2."
% omit words until fugue
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _ 
	_ _ _ _ _ _ _  _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	Hal -- le -- lu -- jah, hal -- le -- lu -- jah, 
	hal -- le -- lu -- jah, a -- men and a -- men,
	Hal -- le -- lu -- jah,  
	hal -- le -- lu -- jah, praise the Lord,
}

verseThree = \lyricmode
{
%	\set stanza = "3."
	An -- gels roll the rock a -- way,
	Den of death re -- sign thy prey;
	See the Sav' -- our quit the tomb,
	Glo -- wing with im -- mor -- tal bloom.
	Shout, shout ye ser -- aphs, Gabr' -- el raise
	Fame's e -- ter -- nal trump of praise,
	Let the earth's re -- mo -- test bound,
	E -- cho to the bliss- ful sound. sound.
	Saints of God lift up your eyes,
	See the con -- qu'rer scale the skies,
	Troops of an -- gels on the road,
	Hail and sing, Hail and sing,
	Hail and sing th'in -- car -- nate God.
	Heav'n un -- folds its por -- tals wide,
	Match -- less he -- ro thro' them ride,
	King of glo -- ry mount thy throne,
	Bound -- less em -- pire is thy own.
	Hal -- le -- lu -- jah, hal -- le -- lu -- jah, 
	hal -- le -- lu -- jah, a -- men and a -- men,
	Hal -- le -- lu -- jah, hal -- le -- lu -- jah, 
	hal -- le -- lu -- jah, praise the Lord,
	Hal -- le -- lu -- jah, praise the Lord,
	A -- men, and a -- men.
}

verseFour = \lyricmode
{
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _ 
	_ _ _ _ _ _ _  _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	_ _ _ _ _ _ _
	Hal -- le -- lu -- jah, a -- men,
	Hal -- le -- lu -- jah, hal -- le -- lu -- jah, hal -- le -- lu -- jah,  
	hal -- le -- lu -- jah, praise the Lord,
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #8 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##f
	top-margin = 0.5\in
	bottom-margin = 0.5\in
}

\header {
	title = "An Anthem for Easter.  " %Tune name and hymn meter
	poet = \markup { "A Major.   " } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\override Score.StanzaNumber #'font-series = #'medium
		\new Staff = "treble" { \trebleMusic }
		\addlyrics { \verseOne }
		\new Staff = "alto" { \altoMusic }
		\addlyrics { \verseTwo }
		\new Staff = "tenor" { \tenorMusic }
		\addlyrics { \verseThree }
		\new Staff = "bass" { \bassMusic }
		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}