\version "2.12.3"
\include "..\SHRepeats.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key c \major
	\sacredHarpHeads 
	\autoBeamOff
	\time 2/2
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	g2 c4 b c1 g2 b4 g c1
	g2 b4 d e2 c d b c1
	R1 
	c2 c4 b c1 g2 b4 d f1
	e4( c) g g g1 b2 b4 b c2 d e1
	\repeat volta 2 {
		R1*2 r4
		g, c g a b c d e2. r4
		r2 c b a g1 
		R1*2
	}
	b2 b4 b c1 g2 b4 d c1
	e2 e4 <c a> b1 g2 c( b) b c1
}

altoMusic = \relative c'
{
	\key c \major 
%	\clef alto
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	e2 g4 g g1 g2 g4 g g1
	g2 g4 g e2 e a a g1
	f2 f4 <a d,> g1 e2 e4 e g1
	a2 a4 a g1 g2 e4 e e2( f4.)
	f8 g4 g f f e1
	\repeat volta 2 {
		R1*3 r4
		g4 c, g c d e f g2\fermata
		a2 g f e1
		R1*2
	}
	g2 g 4 g <g e>1 g2 g4 g e1
	e2 e4 e g1 g2 a( g) f e1
}

tenorMusic = \relative c''
{
	\key c \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	c2 c4 d e1 d2 d4 d e1
	d2 d4 d c2 c f f e1
	d2 d4 d e1 c2 c4 c d1
	a2 a4 a e'1 c2 d4 d g2( f4.)
	f8 e4 e d d c1
	\repeat volta 2 {
		R1 r4
		g c g a b c d e2. r4
		R1*3 r2 g2 f e d1 
	}
	d2 d4 d e1 d2 d4 d e1 
	c2 c4 c d1 g2 f8.([ d16 c8 d] e2) d c1
}

bassMusic = \relative f
{
	\clef bass
	\key c \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	c2 c4 <g g'> <c c'>1 <g b'>2 <g g'>4 <g g'>4 <c c'>1
	<g b'>2 <g g'>4 <g g'> <c c'>2 e d g, c1
	R1 c2 c4 <g g'> <a a'>1 <g b'>2 <g g'>4 <g g'> <d' f>1
	e2 c4 c e2( g4.) f8 e4 e d d c2 <g g'>2 c1
	\repeat volta 2 {
		r4
		c4 g' e f g a b c2. r4
		R1*4 r2
		e,2 d c <g g'>1
	}
	<g g'>2 <g g'>4 <g g'>4 <c c'>1
	<g b'>2 <g g'>4 <g g'> <c c'>1
	<a a'>2 <a a'>4 <a a'> <g g'>1
	e'2 <f f,>2( <g g,>) <g g,> c,1
	\bar ".|."
}

verseTreble = \lyricmode
{
%	\set stanza = "1."
	When soon as we at -- tempt to sing,
	The prai -- ses of our  heav'n -- ly king,
	His mer -- cies rise so fast in view,
	That still the theme is ev -- er, ev -- er new.
	His mer -- cies rise so fast in view,
	That still the theme
	His mer -- cies rise so fast in view,
	That still the theme is ev -- er new.
}

verseAlto = \lyricmode
{
%	\set stanza = "1."
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	His mer -- cies rise so fast in view,
	That still the theme is ev -- er new,
	the theme is ev -- er new.
	His mer -- cies rise so fast in view,
}

verseTenor = \lyricmode
{
%	\set stanza = "1."
	When soon as we at -- tempt to sing,
	The prai -- ses of our  heav'n -- ly king,
	His mer -- cies rise so fast in view,
	That still the theme is ev -- er new,
		the theme is ev -- er new.
	His mer -- cies rise so fast in view,
	is ev -- er new,
	His mer -- cies rise so fast in view,
	That still the theme is ev -- er new.
}

verseBass = \lyricmode
{
%	\set stanza = "1."
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	His mer -- cies rise so fast in view,
	That still the theme,
		the theme is ev -- er, ev -- er new.
	His mer -- cies rise so fast in view,
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #3 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "New Sharon.  L.M. " %Tune name and hymn meter
	poet = \markup { "C Major.  Unattributed, 1701." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-2
		\override Score.LyricSpace #'minimum-distance = #0
		\override Score.StanzaNumber #'font-series = #'medium
		\override Score.StanzaNumber #'font-size = #-2
		\context Staff = "treble" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\trebleMusic 
			>>
		\addlyrics { \verseTreble }
		\context Staff = "alto" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\altoMusic 
		>>
		\addlyrics { \verseAlto }
		\context Staff = "tenor" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\tenorMusic 
		>>
		\addlyrics { \verseTenor }
		\context Staff = "bass" << 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\bassMusic 
		>>
		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}