\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key ees \major  
	\sacredHarpHeads 
	\autoBeamOff
	\time 4/4
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 bes2 ees d c bes g f bes1
	r2 g bes c d bes ees d ees1
	r2 ees d c bes c g b c1
	r2 bes ees c bes g aes4( g) f2 ees1
}

altoMusic = \relative c'
{
}

tenorMusic = \relative c''
{
	\key ees \major 
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 g bes bes c d ees c d1
	r2 bes g aes bes g c bes bes1
	r2 bes bes c d4( ees) f2 bes, g g1
	r2 ees' bes aes g bes c bes <bes g>1
}

bassMusic = \relative f
{
	\clef bass
	\key ees \major 
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 ees ees g, aes bes ees f bes,1
	r2 ees d c bes ees c4( ees) <bes bes'>2 ees1
	r2 ees bes' aes g f ees4( f) g2 c,1
	r2 ees ees f g ees aes,4( bes) bes2 ees1
	\bar ".|."
}

verseTreble = \lyricmode
{
%	\set stanza = "1."
	Thy mer -- cies Lord, shall be my song,
	My song on them shall e -- ver dwell,
	To a -- ges yet un -- born, my tongue
	Thy ne -- ver fai -- ling truth shall tell.
}

verseAlto = \lyricmode
{
}

verseTenor = \lyricmode
{
}

verseBass = \lyricmode
{
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "Turner.  L.M. " %Tune name and hymn meter
	poet = \markup { E \flat " Major.  Isaac Watts, 1719." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-2
		\override Score.LyricSpace #'minimum-distance = #0
		\override Score.StanzaNumber #'font-series = #'medium
		\override Score.StanzaNumber #'font-size = #-2
		\new Staff = "treble" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\trebleMusic 
		}
		\addlyrics { \verseTreble }
%		\new Staff = "alto" { 
%			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
%			\altoMusic 
%		}
%		\addlyrics { \verseAlto }
		\new Staff = "tenor" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\tenorMusic 
		}
		\addlyrics { \verseTreble }
		\new Staff = "bass" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\bassMusic 
		}
%		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}