\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key c \major  
	\sacredHarpHeads 
	\autoBeamOff
	\time 4/4
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 c e d c g e' \grace { d8 c } d2 <e c>1
	r2 e d c g \afterGrace a2 { b8 c } b1
	r2 c e e d c g' \afterGrace d2 { e8 f } e1
	r2 d e c d4( c) b2 c1
}

tenorMusic = \relative c''
{
	\key c \major 
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 e c b c d c b c1
	r2 c d e g d e1
	r2 e c g4( a) b2 c e \grace { d8 d } d2 c1
	r2 b c d4( e) \afterGrace f2 { f8 e } \afterGrace d2 { e8 f } <e c>1
}

bassMusic = \relative f
{
	\clef bass
	\key c \major 
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 <c c'> <c c'> g' a g c, <g g'> c1
	r2 <c c'> g' a g f e1
	r2 <c c'> <c c'> <c c'> g' e c <g g'> c1
	r2 g' e f d <g g,> c,1
	\bar ".|."
}

verseTreble = \lyricmode
{
	\set stanza = "1."
	With cheer -- ful notes let all the earth,
	To heav'n their voi -- ces raise:
	Let all in -- spir'd with god -- ly mirth,
	Sing so -- lemn hymns of praise.
}

verseAlto = \lyricmode
{
}

verseTenor = \lyricmode
{
	\set stanza = "2."
	God's ten -- der mer -- cy knows no bound,
	His truth shall ne'er de -- cay;
	Then let thy wil -- ling na -- tions round
	Their grate -- ful tri -- butes pay.
}

verseBass = \lyricmode
{
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "St. John's.  C.M. " %Tune name and hymn meter
	poet = \markup { "C Major.  Tate & Brady." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\override Score.LyricSpace #'minimum-distance = #0
		\override Score.StanzaNumber #'font-series = #'medium
		\override Score.StanzaNumber #'font-size = #-1
		\new Staff = "treble" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\trebleMusic 
		}
		\addlyrics { \verseTreble }
%		\new Staff = "alto" { 
%			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
%			\altoMusic 
%		}
%		\addlyrics { \verseAlto }
		\new Staff = "tenor" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\tenorMusic 
		}
		\addlyrics { \verseTenor }
		\new Staff = "bass" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\bassMusic 
		}
%		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 80 2) %Sets the metronome speed and value of the beat
		}
	}
}