\version "2.12.3"
% \include "..\SHRepeats.ly"
#(set-global-staff-size 20)

trebleMusic = \relative c''
{
	\key d \major
	\time 4/4
	\sacredHarpHeads 

	r2 r4
	a4 a2 b a2. e4 fis2 a a2.
	cis4 d2 e a,2. a4 d2 cis d1
	d2 a4 g fis2. e4 a2 a d2.
	a4 b2 b d2. b4 a2 a a1
	d2 a4 fis b2. d4 cis2 <cis a> b2.
	a4 g2 e fis2. g4 a2 a a2.
	d,4 fis( a) fis( a) fis8([ g a b] a4) d cis( e2) d4 cis8([ d e cis] d4)
	a d( fis) d( fis) d8([ e fis g] fis4) e8[ d] a4.( b8 a4) fis a2.
	cis4 d2 cis b2. e4 <d a>2 fis,4( a) b2( cis4) 
	a d2 cis cis2. b4 a2 a a1
}

altoMusic = \relative c'
{
	\key d \major
	\clef treble
	\sacredHarpHeads 

	r2 r4
	fis4 a2 g fis2. e4 d2 e fis2.
	g4 a2 a fis2. e4 d2 e fis1
	fis2 a4 b a2. a4 fis2 a g2.
	a4 d,2 g fis2. g4 a2 fis fis1
	R1*2
	a2 a4 a g2( e4) d e e e
	e a a a a fis fis fis2~ fis2.
	fis4 a2 fis a2. fis4 g2 g4( fis) e2( d4)
	fis a2 a a2. fis4 e2 e fis2.
	e4 a2 a fis2. a4 fis2 a g2.
	d4 fis2 a a2. fis4 a2 g fis1
}

tenorMusic = \relative c''
{
	\key d \major
	\clef treble
	\sacredHarpHeads
	
	r2 r4
	d4 fis,2 e d2. g'4 fis2 e d2.
	g,4 fis2 e d4.( e8 fis4) g'4 fis2 e d1
	a2 fis4 g a2. a4 d2 cis b2.
	a4 d2 e fis2. e4 fis2 e e1
	R1
	d2 d4 d e2. fis4 e e e
	a,4 b2. cis4 d fis d a d1~ d2.
	a4 d( fis) d( fis) d8([ e fis g] fis4) e8[ d] e4( g2) fis4 e8([ fis g e] fis4) 
	e8[ d] fis4( a) fis( a) fis8([ g a b] a4) e8[ d] cis4( e2) d4 cis8([ d e cis] d4)
	g fis2 fis d2. e4 d2 cis b( a4)
	a d2 e fis( e4) a fis2 e d1
}

bassMusic = \relative f
{
	\key d \major
	\clef bass
	\sacredHarpHeads
	
	r2 r4
	d4 fis2 g a2. cis4 d2 a d,2.
	e4 d2 a d2. e4 fis( g) a2 d,1
	d2 fis4 e d2. a4 d2 fis g2.
	a4 g2 e d2. a'4 <d d,>2 <a a,> d,1
	d2 fis4 a b2. d4 a a a
	fis g2. fis4 e e a, a d1~ d~ d2.
	a'4 <d d,>2 <d d,> <d d,>2. fis,4 e2 e a2.
	a4 d,2 d d( d8[ e]) fis[ g] a2 a, d2.
	a'4 d2 a b2. a4 d,2 fis g( e4)
	d b'2 a d2. d,4 a'2 a, d1
	\bar ".|."
}

verseOne = \lyricmode
{
	Ye sons of men with joy re -- cord,
	The va -- rious won -- ders of the Lord,
	And let his pow'r and good -- ness sound,
	Thro' all your tribes the world a -- round.
	Let the high heavn's your songs in -- vite,
	Those spa -- cious fields of bril -- liant light,
	Where sun and moon and pla -- nets roll,
	And stars that glow from _ pole to pole.
	Where sun and moon and pla -- nets roll,
	And stars that glow from pole to pole.
}

verseTwo = \lyricmode
{
	% don't print mid-staff lyrics for the plaintune section
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	Let the high heavn's your songs in -- vite,
	Those spa -- cious fields of bril -- liant light,
%	Where sun and moon and pla -- nets roll,
%	And stars that glow from pole to pole.	
}

verseThree = \lyricmode
{
	Ye sons of men with joy re -- cord,
	The va -- rious won -- ders of the Lord,
	And let his pow'r and good -- ness sound,
	Thro' all your tribes the world a -- round.
	Let the high heavn's your songs in -- vite,
	Those spa -- cious fields of bril -- liant light,
	Where sun and moon and _ pla -- nets roll,
	And _ stars that glow from _ pole to pole.
	Where sun and moon and pla -- nets roll,
	And stars that glow from pole to pole.
}

verseFour = \lyricmode
{
	% don't print mid-staff lyrics for the plaintune section
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	Let the high heavn's your songs in -- vite,
	Those spa -- cious fields of bril -- liant light,
%	Where sun and moon and pla -- nets roll,
%	And stars that glow from _ pole to pole.	
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}

\header {
	title = "Admiration.  L.M. " %Tune name and hymn meter
	poet = \markup { "D Major.   Phillip Doddridge, 1755." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}