\version "2.12.3"
\include "..\SHRepeats.ly"
#(set-global-staff-size 20)

trebleMusic = \relative c''
{
	\key ees \major
	\time 3/2
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 r2 
	g2^"Andante." g4 aes bes c d bes bes1
	bes2 aes4 g c bes g16[ bes8.] ees4 d1
	bes2 g4 g f f aes aes8[ g] f1
	<g ees>2 bes4 bes c ees bes bes <bes g>1^\fermataMarkup
	\repeat volta 2
	{
		\partial 2 r2
		R1.*2 r2 r2
		bes2 ees4 bes bes g bes ees 
		\time 4/4 
		bes g bes bes g^"Forte." g f f g1
		bes2 g4. f8 ees4( f8[ g] bes4) f g( aes8[ bes] c8.[ ees16] d8[ bes] c2) bes
	}
	\alternative {
		{ \time 3/2 \partial 2*2 bes1 }
		{ bes1. }
	}
}

altoMusic = \relative c'
{
	\key ees \major
	\clef treble
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 r2 
	ees2 g4 f ees aes g f g1
	g2 f4 ees ees bes ees g f1
	f2 ees4 bes bes ees f f f1
	ees2 g4 g8[ f] ees4 aes8[ g] f4 f g1^\fermataMarkup
	\repeat volta 2
	{
		\partial 2 r2
		R1. r2 r2
		ees2 bes'4 g ees8[ f] g[ aes] bes4 bes g1
		g2
		\time 4/4 
		g4 g8[ f] ees[ d] ees[ f] g2 bes bes1
		g2 ees4. f8 g4( f8[ ees] f4) f g4.( f8 ees4 bes'8. aes16 g4 f8[ aes] g[ ees]) d[ f]
	}
	\alternative {
		{ \time 3/2 \partial 2*2 g1 }
		{ g1. }
	}
}

tenorMusic = \relative c''
{
	\key ees \major
	\time 3/2
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 r2 
	bes2 bes4 aes g c bes d ees1
	ees2 c4 bes aes g c16[ bes8.] aes16[ g8.] f1
	bes2 c4 ees d bes c c bes1
	ees2 bes8[ aes] g[ f] ees4 aes g f ees1^\fermataMarkup
	\repeat volta 2
	{
		\partial 2 r2
		r2 r2
		bes'2 ees4 bes bes g bes ees bes1.~ bes1 bes2
		\time 4/4 
		g4 bes c d ees2 d ees1
		bes2 c4. d8 ees4( d8 c bes4) c bes( aes8 g bes16[ aes8.] g8[ f] g[ bes] c[ aes] g4) f
	}
	\alternative {
		{ \time 3/2 \partial 2*2 ees1 }
		{ ees1. }
	}
}

bassMusic = \relative f
{
	\key ees \major
	\clef bass
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 r2 
	ees2 ees4 f g aes bes bes, ees1 ees2 f4 g aes bes aes16[ g8.] f16[ ees8.] bes1
	bes2 ees4 ees bes' bes f f <bes bes,>1
	c,2 ees4 ees c aes bes bes ees1^\fermataMarkup
	\repeat volta 2
	{
		\partial 2 
		ees2 bes'4 g ees8[ f] g[ aes] bes4 bes, ees1.~ ees1.~ ees1 ees2
		\time 4/4 
		ees4 ees <aes aes,> <bes bes,> <c c,>2 <bes bes,> ees,1
		ees2 ees4. d8 c4( bes8 c bes4) f' ees2( aes,4 bes c f ees) bes
	}
	\alternative {
		{ \time 3/2 \partial 2*2 ees1 }
		{ ees1. }
	}
	\bar ".|."
}

verseOne = \lyricmode
{
	Then joint -- ly all the har -- pers round 
	In mind u -- nite with so -- _ lemn sound, 
	And strokes u -- pon the high -- est _ string,
	Make all the heav'n -- ly ar -- ches ring.
	And strokes u -- pon the high -- est string,
	And strokes u -- pon the high -- est string,
	Make all the heav'n -- ly ar -- ches ring.
}

verseTwo = \lyricmode
{
	% don't print mid-staff lyrics for the plaintune section
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _ _ _
	And strokes u -- pon _ the _ high -- est string
	And strokes u -- _ pon _ the _ high -- est string
}

verseThree = \lyricmode
{
	Then joint -- ly all the har -- pers round 
	In mind u -- nite with so -- _ lemn _ sound, 
	And strokes u -- pon the high -- est string,
	Make all _ the _ heav'n -- ly ar -- ches ring.
	And strokes u -- pon the high -- est string,
	And strokes u -- pon the high -- est string,
	Make all the heav'n -- ly ar -- ches ring.
}

verseFour = \lyricmode
{
	% don't print mid-staff lyrics for the plaintune section
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _ _ _
	And strokes u -- pon _ the _ high -- est string
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}

\header {
	title = "Rapture.  L.M. " %Tune name and hymn meter
	poet = \markup { "E flat Major.   Ralph Erskine." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}