\version "2.12.3"
\include "..\SHRepeats.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key a \major
	\time 3/2
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r1
	cis2 e4.( d8 cis2) b a1 gis2 a4.( b8 cis2) e cis1
	b2 cis4.( b8 a2) e a( gis) fis e1
	a2 e1 fis2 gis1 a2 b( cis) cis cis1
	b2^"Vigoroso." cis1 a2 gis( a) b cis1.
	\autoBeamOff
	\time 4/4
	\repeat volta 2
	{
		R1*2 r2
		cis4 b8 b8 cis4 cis e e cis4.( b8[ a b cis a] b1~ b2)^\fermataMarkup
		a e'4 e b b cis1
		a2 e'4 cis a e a8[ b] cis[ d] e2.
		cis4 b b a8[ gis] fis[ e] a2 d4( fis) e2.
		e4 cis4.( b8 a4 b8[ a] gis4 b2)
		b4 e4.( cis8 a4) b cis1
	}
}

altoMusic = \relative c'
{
	\key a \major
	\clef treble
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r1
	a'2 a( gis) fis e1 e2 e( a) gis a1
	e2 e1 e2 fis( e) a gis1
	e2 e1 e2 e1 e2 e1 fis2 gis1
	gis2 a1 a2 gis( fis) e e1.
	\autoBeamOff
	\time 4/4
	\repeat volta 2
	{
		R1*3 r2
		a4 fis8 e a4 a a a gis2( fis e)^\fermataMarkup
		a2 gis4 gis gis gis a1~ a2.
		e4 a e cis a e' gis a2( gis fis~ fis) r2 r2 r4
		a4 gis2( fis e2.) e4 a4.( b8 a4) <gis e> <a e>1
	}
}

tenorMusic = \relative c''
{
	\key a \major
	\clef treble
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r1
	a2 cis1 d2 cis4.( b8 a2) e' cis2.( \stemDown b8[ a] ) b2 \stemNeutral a1
	b2 a1 gis2 fis( gis) a b1
	a2 b1 cis2 b1 cis2 b( a) fis gis1
	e2 fis( gis) a b( cis) b a1.
	\autoBeamOff
	\time 4/4
	\repeat volta 2
	{
		R1 r2
		cis4 b8 b cis4 cis e e cis4.( b8[a b cis a] e'4) r4 
		cis cis8 cis8 e4 e b b b2^\fermataMarkup
		cis b4 b e e cis2.
		a4 e' cis a e a8[ b] cis[ d] e2~ e r2
		e cis4 cis cis cis b b b2.
		a4 e'( d8[ cis] \grace a8 d4 cis8[ b] cis2 b4)
		b cis4.( e8[ cis a]) b4 a1
	}
}

bassMusic = \relative f
{
	\key a \major
	\clef bass
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r1
	a,2 a1 b2 cis( d) e a1 e2 a,1
	e'2 a,1 e'2 d( e) a, e'1
	a,2 e'1 a2 e1 a2 e1 d2 cis1
	e2 d( cis) fis e( a) e a,1.
	\autoBeamOff
	\time 4/4
	\repeat volta 2
	{
		r2
		a4 cis8 e a4 a a e <a a,>1~ <a a,>1
		a4 fis8 e a4 a b2 b, e^\fermataMarkup
		<a a,>2 e4 e e fis8[ gis] a1~ a1~ a2.
		e4 a e cis a e' cis fis2(~ fis b, e2.)
		a4 cis,2( d e2.) e4 a4.( e8 fis4) e <a a,>1
	}
}

verseOne = \lyricmode
{
	Sing to the Lord, ye di -- stant lands,
	Ye tribes of ev' -- ry tongue;
	His new dis -- co -- ver'd grace de -- mands,
	A new and no -- bler song.
	Say to the na -- tions Je -- sus reigns,
	God's own al -- migh -- ty son;
	His pow'r the sin -- king world su -- stains,
	His pow'r the sin -- king world su -- stains,
	And grace __ sur -- rounds his throne.
	}

verseTwo = \lyricmode
{
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	Say to the na -- tions Je -- sus reigns,
	God's own al -- migh -- ty son;
	His pow'r the sin -- king world su -- stains,
	And grace __ sur -- rounds his throne.	
}

verseThree = \lyricmode
{
	Sing to the Lord, ye di -- stant lands,
	Ye tribes of ev' -- ry tongue;
	His new dis -- co -- ver'd grace de -- mands,
	A new and no -- bler song.
	Say to the na -- tions Je -- sus reigns,
	Say to the na -- tions Je -- sus reigns,
	God's own al -- migh -- ty son;
	His pow'r the sin -- king world su -- stains,
	His pow'r the sin -- king world su -- stains,
	And grace __ sur -- rounds his throne. 
}

verseFour = \lyricmode
{
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	Say to the na -- tions Je -- sus reigns,
	Say to the na -- tions Je -- sus reigns,
	God's own al -- migh -- ty son;
	His pow'r the sin -- king world su -- stains,
	And grace sur -- rounds his throne. 	
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
%	system-count = #3 %Suggests to Lilypond how many braces to use for this piece.
}

\header {
	title = "Winthrop.  C.M. " %Tune name and hymn meter
	poet = \markup { "A Major.   " } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
		\addlyrics { \verseFour }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}