\version "2.12.3"
\include "..\SHRepeats.ly"

trebleMusic = \relative c''
{
	\key f \major
	\time 4/4
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	a1 c4 a f a g2.
	f4 a c d c a1 r2
	c2 a4 c8[ bes] a[ g] f[ e] d2.
	f4 a16[ c8.] a8[ g] d'4 d <c a>1
	\repeat volta 2
	{
		a2 g 4 f g1
		f2 c'4 bes c1
		f,4( g) a c a2.
		f4 a( d) c2 <c a>1
	}
}

altoMusic = \relative c'
{
	\key f \major
	\clef treble
	\sacredHarpHeads 
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	f1 a4 f d f g2.
	f4 a a8[ g] f4 e f1 r2
	c2 d4 c8[ d] e4 e f2.
	f4 g f bes8[ a] g4 a1
	\repeat volta 2
	{
		f2 g4 f c1
		d2 c4 f a1
		d,2 c4 c f2.
		a4 a2 g a1
	}
}

tenorMusic = \relative c''
{
	\key f \major
	\clef treble
	\sacredHarpHeads
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	
	c1 a4 c d c c2.
	d4 c a f c' d2( c) r2
	c f4 e8[ d] c4 bes a2.
	d4 c16[ a8.] f8[ g] a4 g f1
	\repeat volta 2
	{
		c'2 c4 d e1
		f2 e4 d c1
		d2 c8[ bes] a[ g] f2( a4)
		c4 f2 e f1
	}
}

bassMusic = \relative f
{
	\key f \major
	\clef bass
	\sacredHarpHeads
	\override Staff.BarLine #'stencil = #with-shapenote-repeats
	
	f1 c4 c bes a c2.
	bes'4 a f d c <f f,>1 r2
	f2 d4 c8[ bes] a4 a d2.
	bes4 c d bes c <f f,>1
	\repeat volta 2
	{
		f2 e4 d c1
		bes2 c4 d8[ e] f1
		bes4( g) a f c'4.( bes8 a4)
		f d( bes) c2 <f f,>1
	}
}

verseOne = \lyricmode
{
	\set stanza = "1."
	Hail! e -- ver -- las -- ting spring,
	Ce -- les -- tial foun -- tain hail!
	Thy streams  sal -- _ va -- _ tion _ bring,
	Thy wa -- _ ters _ ne -- ver fail;
		Still they en -- dure,
		And still they flow,
		For all our woe
		A sov' -- reign cure.
}

verseTwo = \lyricmode
{
	\set stanza = "2."
	Blest be His woun -- ded side,
	And blest His _ blee -- ding heart,
	Who once in _ an -- guish died
	Such fa -- vours to _ im -- part.
		His pre -- cious word
		Shall make us clean
		From e -- v'ry sin
		And fit for God.
}

verseThree = \lyricmode
{
	\set stanza = "3."
	To that dear Source of love
	Our souls this day would come;
	And thi -- ther, _ from a -- bove,
	Lord, call _ the _ na -- tions home:
		That Jew and Greek
		With joy -- ful songs
		On all _ their _ tongues,
		Thy praise my speak.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
}

\header {
	title = "Emancipation.  P.M. " %Tune name and hymn meter
	poet = \markup { "F Major   " } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseTwo }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseThree }
		\context Staff = "bass" << \bassMusic >>
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 96 4) %Sets the metronome speed and value of the beat
		}
	}
}