\version "2.12.3"
\include "..\SHRepeats.ly"
#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key d \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	a2 fis4 a a g fis e fis2.
	a4 d, fis b cis b1
	a2 cis4 e cis a b8[ cis] d[ cis] b2.
	b8[ cis] d4 cis8[ b] a4 a a1 
	\break
	\partial 4*2 r2
	\repeat volta 2 {
		\partial 4*2 r2 r2 r4
		a4 d fis fis e d
		a cis e d a^\markup { \tiny Maestoso. } b b b2.
		cis4 d d d a b2( cis4) d cis2.
		e4 a,2( cis d2.) e4 a,2 a
	}
	\alternative {
		{ \partial 4*2 a2 }
		{ a1 }
	}
}

altoMusic = \relative c'
{
	\key d \major 
%	\clef alto
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	d2 fis4 fis e d a' a fis2.
	fis8[ e] d4 d e cis d1
	fis2 a4 a a a fis a g2.
	fis8[ e] d4 g fis e fis1
	\partial 4*2 r2
	\repeat volta 2 {
		\partial 4*2 
		e2 fis4 d d e a a a
		a a1~ a4 <a e> <fis d> <fis d> <fis d>2.
		e4 fis a a fis e( fis g) b a2.
		a4 a1~ a2. g4 fis2 e
	}
	\alternative {
		{ \partial 4*2 fis2 }
		{ fis1 }
	}
}

tenorMusic = \relative c''
{
	\key d \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	a2 d4 d e8[ d] cis[ b] a4 a d2.
	a4 b b b ais b1
	a2 e'4 e e e d8[ cis] b[ a] e'2.
	d4 a b8[ g] fis4 e d1
	\partial 4*2 r2
	\repeat volta 2 {
		\partial 4*2 
		a'2 d4 fis fis e d d d
		a fis' e e e fis1~ fis2.
		a4 a fis d d g( fis e) d e2.
		e4 d2( e fis2.) a4 fis( e8[ d]) e2
	}
	\alternative {
		{ \partial 4*2 d2 }
		{ d1 }
	}
}

bassMusic = \relative f
{
	\clef bass
	\key d \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	d2 d4 d a b8[ cis] d4 <d a'> d2.
	fis4 g fis e fis b,1
	a'2 a4 a a a b8[ a] g[ fis] e2.
	g4 fis g a a, d1
	\partial 4*2 r2
	\repeat volta 2 {
		\partial 4*2 r2 r2 r4
		< a a' >4 d d d fis < a d, > < a a, > < a a, > 
		< cis a, > < d d, > < d cis, > < b b, > < b b, > < b b, >2.
		< a a, >4 d, d d fis e( d cis) < d b > < a a' >2.
		< a a' >4 d2( < a a' > < d d' >2.) d4 < a a' >2 a
	}
	\alternative {
		{ \partial 4*2 d2 }
		{ d1 }
	}
	\bar ".|."
}

verseOne = \lyricmode
{
	\set stanza = "1."
	My thot's sur -- mount these lo -- wer skies,
	And look with -- in the vail;
	There springs of end -- less plea -- sure rise,
	The wa -- ters ne -- ver fail:

	There I be -- hold with sweet de -- light, 
	The bles -- sed three in one,
	And strong af -- fec -- tions fix my sight,
	On God's e -- ter -- nal Son. Son.
}

verseOneSt = \lyricmode
{
	\set stanza = "1."
	My thot's sur -- mount these lo -- wer skies,
	And look with -- in the vail;
	There springs of end -- less plea -- sure rise,
	The wa -- ters ne -- ver fail:
}

verseOneEnd = \lyricmode
{
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _

	There I be -- hold with sweet de -- light, 
	The bles -- sed three in one,
	And strong af -- fec -- tions fix my sight,
	On God's e -- ter -- nal Son. Son.
}

verseTwo = \lyricmode
{
	\set stanza = "2."
	His pro -- mise stands for -- ev -- er firm,
	His grace shall ne'er de -- part;
	He binds my name u -- pon his arm,
	And seals it on his heart.

	I would not be a stran -- ger still
	To that ce -- les -- tial place,
	Where I for -- ev -- er hope to dwell
	Near my Re -- dee -- mer's face. face.
}

verseTwoSt = \lyricmode
{
	\set stanza = "2."
	His pro -- mise stands for -- ev -- er firm,
	His grace shall ne'er de -- part;
	He binds my name u -- pon his arm,
	And seals it on his heart.
}

verseTwoEnd = \lyricmode
{
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _ _ _
	_ _ _ _ _ _

	I would not be a stran -- ger still
	To that ce -- les -- tial place,
	Where I for -- ev -- er hope to dwell
	Near my Re -- dee -- mer's face. face.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##f
%	top-margin = 0.4\in
%	bottom-margin = 0.5\in
}

\header {
	title = "Bliss.  C.M.D. " %Tune name and hymn meter
	poet = \markup { "D Major.   " } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-2
		\override Score.LyricSpace #'minimum-distance = #0.1
		\override Score.StanzaNumber #'font-series = #'medium
		\override Score.StanzaNumber #'font-size = #-2
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\addlyrics { \verseTwo }
		\context Staff = "alto" << \altoMusic >>
		\addlyrics { \verseOneEnd }
		\addlyrics { \verseTwoEnd }
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseOne }
		\addlyrics { \verseTwo }
		\context Staff = "bass" << \bassMusic >>
		\addlyrics { \verseOneEnd }
		\addlyrics { \verseTwoEnd }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}