\version "2.12.3"
\include "..\SHRepeats.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key bes \major % really g minor
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 d2 bes a bes a bes c d1
	r2 d2 bes a g d' d1
	r2 bes c a a g d' bes a1
	r2 bes g a bes4( g) fis2 g1
	\break
	r2 g bes4 bes bes a bes bes bes
	<bes d> a a a bes a1
	f2 c'4 a f a bes a8[ g] fis2\fermata
	bes2 a4 g fis fis g1
}

altoMusic = \relative c'
{
	\key bes \major 
%	\clef alto
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 d d f f f f f d1
	r2 f f f d d d1
	r2 g g f f d d d d1
	r2 d g f ees d d1
	r2 d2 d4 g g a f f f
	g f f f d f1
	d2 f4 f f f f d d2\fermata
	d2 f4 f8[ ees] d4 d d1
}

tenorMusic = \relative c''
{
	\key bes \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 g bes c d c d4.( c16[ bes]) c2 bes1
	r2 bes2 d c bes a g1
	r2 bes ees d c bes a g fis1
	r2 g bes f g a g1
	r2 g2 d'4 d d f d d d
	bes c c c d c1
	bes2 f4 c' a c f, bes a2
	bes c4 d8[ c] bes4 a g1
}

bassMusic = \relative f
{
	\clef bass
	\key bes \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	r2 g g f bes, <f f'> <bes bes'> <f f'> bes1
	r2 bes bes <f f'> <g g'> d' <g g,>1
	r2 ees2 c d f g d g, d'1
	r2 <g g,> ees d bes4( c) d2 g,1
	r2 g'2 g4 g g f <bes bes,> <bes bes,> <bes bes,>
	<d, bes> <f f,> <f f,> <f f,> <bes bes,> <f f,>1
	<bes bes,>2 <a f> 4 f f f d bes d2\fermata
	g f4 bes,8[ c] d4 d <g g,>1
	\bar ".|."
}

verseOne = \lyricmode
{
%	\set stanza = "1."
	No songs of tri -- umph now be sung,
	Cease all your spright -- ly airs,
	Let sor -- row si -- lence ev' -- ry tongue,
	And joy dis -- solve to tears.
	
	If at this fight we don't re -- pent,
	What o -- ther fight can move?
	Un -- grate -- ful shall we not re -- lent,
	And pay him love with love.
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #2 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##f
	top-margin = 0.4\in
	bottom-margin = 0.5\in
}

\header {
	title = "Lamentation.  C.M.D. " %Tune name and hymn meter
	poet = \markup { "D Major.  Unattributed, 1701." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-2
		\override Score.LyricSpace #'minimum-distance = #0.1
		\override Score.StanzaNumber #'font-series = #'medium
		\override Score.StanzaNumber #'font-size = #-2
		\context Staff = "treble" << \trebleMusic >>
		\addlyrics { \verseOne }
		\context Staff = "alto" << \altoMusic >>
		\context Staff = "tenor" << \tenorMusic >>
		\addlyrics { \verseOne }
		\context Staff = "bass" << \bassMusic >>
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}