\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

%-----------------------------------------------------------------------------------------
trebleMusicA = \relative c''
{
	\key f \major
	\sacredHarpHeads 
	\autoBeamOff
	\time 2/2
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	c2. r4 a( c) d( c) c2
	r4 c f4. c8 c16[ bes8.] bes16[ a8.] a4( g4)
	r4 \times 2/3 { f8[ g a] } bes8( g4.) e8( g4.) a2.
	r8 f8 bes4( d c16[ a8.]) f4 e4.( f8 g4) a g2
	r4 f bes g a-| r8 a c4 d c-| r8             % pickup to second phrase changed to A from G
	c8 f4. c8 a4 c d2( c4) 
	r8 f,8 bes4 g c a bes8([ c] d[ e] f4) bes, a2 g f1
}

altoMusicA = \relative f'
{
	\key f \major
	\clef alto
	\sacredHarpHeads
	\autoBeamOff

	s1*19
}

tenorMusicA = \relative c''
{
	\key f \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	a2. r4 f4( a) bes( a) a2
	r4 a c4. a8 a16[ g8.] g16[ f8.] f4( e)
	r4 \times 2/3 { f8[ e f] } g8( e4.) c8( e4.) f2.
	r8 a8 d4.( f8 c4) f g4.( f8 e4) f e2
	r4 f4 g e f-| r8 c8 e4 f e-|
	r8 c8 a4. c8 f4 a, bes2( a4)
	r8 a8 g4 bes a c <d bes>8([ <e c>] <f d>[ <g e>] <a f>4) d, c2 bes a1
}

bassMusicA = \relative f
{
	\clef bass
	\key f \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	f2. r4 f2 bes,8([ c] d[ e]) f2
	r4 f4 f4. f8 a,4 bes c2
	r4 f c8( e4.) g8( c4.) f,2.
	r8 f8 d4.( bes8 f'4) d c2( g'4) f c2
	r4 f4 d c f-| r8 f8 c4 <b g> c-|
	r8 f8 f4. f8 d4 c bes8([ c] d[ e] f4)
	r8 f8 c4 e f f bes,8([ c] d[ e] f4) bes, c2 c f1
	\bar "||"
}

verseA = \lyricmode
{
	Hark! some soft swell, pants on the ev' -- ning breeze,
	The o -- cean smoothes and stills the rus -- tling trees;
	'Tis Pin -- dar's harp,
	'Tis Pin -- dar's harp,
	in more than Py -- thian strain,
	Now strung to charm with song each men -- tal pain.
}

verseANull = \lyricmode
{
	_ _ _ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _ _ _
	_ _ _ _
	_ _ _ _
	_ _ _ _ _ _ 
	_ _ _ _ _ _ _ _ _ _ 
}
%----Part B "Chorus"----------------------------------------------------------------------
trebleMusicB = \relative c''
{
	r2^"CHORUS." r4
	c a a a c c2.
	g4 a a8[ bes] c4 g8[ f] e2.
	<f c'>4 a4. bes8 a[ g] f[ e] f4-| a-| a-|
	g8[ a] bes4. c8 bes[ a] g[ f] e4-| g-| g-|
	<c f,> a4. bes8 a4 c d8[ c] bes[ a] g4 <c f,> c2 bes a1
	\bar "||"
}

altoMusicB = \relative f'
{
	r2 r4
	c f f a g a2.
	f4 c f <e c> <f d> <g c,>2.
	r4 R1*3 r2 r4
	c,4 f4. a8 f4 c d d e c f2 <g e> <a f>1
}

tenorMusicB = \relative c''
{
	r2 r4
	f,4 c' d c8[ bes] a[ g] a2.
	f4 c' f c bes8[ a] g2.
	f4 c'4. d8 c[ bes] a[ g] a4-| f-| f-|
	r4 R1 r2 r4
	f c'4. d8 c4 a d f c d8[ bes] a2 g f1
}

bassMusicB = \relative f
{
	r2 r4
	f f f f <e c> <f f,>2.
	d4 c bes a bes c2.
	r4 R1 r2 r4
	e8[ f] g4. a8 g[ f] e[ d] e4-| c-| c-|
	a'4 f4. f8 f4 f d bes c f <c c'>2 c f1
}

verseBTreble = \lyricmode
{
	Thus mu -- sic's soft a -- larms can A' -- te's rage con -- trol.
	And lull in dreams of ec -- sta -- cy,
	And lull in dreams of ec -- sta -- cy,
	And lull in dreams of ec -- sta -- cy the tor -- tur'd soul.
}
verseBAlto = \lyricmode
{
	_ _ _ _ _ _ 
	_ _ _ _ _ _
	_ _ _ _ _ _
	_ _ _ _ _ _
}
verseBTenor = \lyricmode
{
	Thus mu -- sic's soft a -- larms can A' -- te's rage con -- trol.
	And lull in dreams of ec -- sta -- cy,
	And lull in dreams of ec -- sta -- cy the tor -- tur'd soul.
}
verseBBass = \lyricmode
{
	_ _ _ _ _ _ 
	_ _ _ _ _ _
	And lull in dreams of ec -- sta -- cy,
	_ _ _ _ _ _
	_ _ _ _ _ _
}
%-----------------------------------------------------------------------------------------
trebleMusicC = \relative c''
{
	r2 r4 f,4 a a a bes c2. f,8[ g16 a] bes2 bes a2.
	f4 a c f, a g f e d c1
	a'2 d4 c a2. c4 a c d cis d2.                              % first C was CIS in ms (cross-relation w/bass)
	a4 c4.( d8 c[ bes]) a[ g] a2 a d,4 bes' a8[ g] f[ e] d1
}

altoMusicC = \relative f'
{
	s1*16
}

tenorMusicC = \relative c''
{
	r2 r4 a4 c c c bes a2. a8[ bes16 c] d2 d c2.
	a4 c a f' c bes a g f <e g>1
	f2 f4 e f2. a4 a a bes a a2.
	f4 a4.( bes8 a[ g]) f[ e] f2 f a4 d f8[ e] d[ cis] d1
}

bassMusicC = \relative f
{
	r2 r4 f4 f f c e f2. f4 bes,2(~ bes8[ c]) d[ e] f2.
	f4 f f f f e d c <b g> c1
	f2 <f d>4 c f2. f4 f f g a d,2.
	f4 f2. c4 f2 d d8[ e] f[ g] a4 a, d1
}

verseC = \lyricmode
{
	Re -- vol -- ting at the sound, the sa -- vage sighs,
	And friend -- ship spar -- kles in the ti -- ger's eyes:
	Lo! Jove's fierce bolts, in ra -- pid flight ex -- pire,
	While his -- sing ser -- pents drop their venge -- ful ire.
}

verseCNull = \lyricmode
{
	_ _ _ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _ _ _
}
%-----------------------------------------------------------------------------------------
trebleMusicD = \relative c''
{
	bes2 bes4 bes a2. f4 a c bes d c2.
	g4 a( g8[ a] bes4) <c a> c2.
	f,4 a c bes8[ a] g[ f] g2.
	f4 bes g a f a c d c8[ b] c4-|
	r2 g4 a( g8[ a] bes4) a8[ bes] c2 bes a8[ f] a[ c] bes[ a] g4 f2-| r2
}

altoMusicD = \relative f'
{
	s1*15
}

tenorMusicD = \relative c''
{
	g2 g4 g f2. c4 f a g bes a2.
	e4 f( e8[ f] g4) a g2.
	c,4 f a g8[ f] e[ d] e2.
	c4 g' bes a c c e f e8[ d] e4-|
	r2 c4 f,( e8[ f] g4) f8[ g] a4( f') e2 f8[ c] c[ f] d[ c] bes4 a2-| r2
}

bassMusicD = \relative f
{
	c2 c4 c f2. e4 f f e c f2. 
	c4 f( e d) c c2. f4 f f g g, c2.
	c4 c e f f f f d g c,-|
	r2 c4 f( g8[ f] e4) d8[ c] c4( f g) c, f f bes, c <f f,>2-| r2
}

verseD = \lyricmode
{
	Pale sor -- rows die, al -- ter -- nate pas -- sions move,
	A -- wake des -- pair, or so -- ftens in -- to love;
	In wild dis -- or -- der hag -- gard en -- vy starts,
	And joy on ful -- lest mel -- an -- cho -- ly darts.
}

verseDNull = \lyricmode
{
	_ _ _ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _ _ _
	_ _ _ _ _ _ _ _ _ _
}
	
%----Part B "Chorus"----------------------------------------------------------------------
trebleMusicBAlt = \relative c''
{
	r2^"CHORUS.  Mezza piano." r4
	c a a a c c2.
	g4 a a8[ bes] c4 g8[ f] e2.
	<f c'>4^\markup { \tiny "Piano." } a4. bes8 a[ g] f[ e] f4-| a-| a-|
	g8[ a] bes4. c8^\markup { \tiny "Pianissimo." } bes[ a] g[ f] e4-| g-| g-|
	<c f,> a4.^\markup { \tiny "Crescendo." } bes8 a4 c d8[ c] bes[ a] g4^\markup { \tiny "Diminuendo." } <c f,> c2 bes a1
	\bar ".|."
}
%-----------------------------------------------------------------------------------------
\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
%	system-count = #3 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##f
	top-margin = 0.4\in
	bottom-margin = 1.5\in
	after-title-space = 2\mm
}

\header {
	title = "The Power of Music" %Tune name and hymn meter
	poet = \markup { "F Major.  Amos Stoddard." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

scoreDefaults = {
	\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
	\override Score.LyricText #'font-size = #-2
	\override Score.LyricSpace #'minimum-distance = #0
	\override Score.StanzaNumber #'font-series = #'medium
	\override Score.StanzaNumber #'font-size = #-1
}

\score 
{
	\new StaffGroup <<
		\scoreDefaults
		\new Staff = "treble" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\trebleMusicA 
			\break
			\trebleMusicB
			\break
			\trebleMusicC
			\break
			\trebleMusicB
			\break
			\trebleMusicD
			\break
			\trebleMusicBAlt
		}
		\addlyrics { 
			\verseA 
			\verseBTreble
			\verseC
			\verseBTreble
			\verseD
			\verseBTreble
		}
		\new Staff = "alto" {
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\altoMusicA 
			\altoMusicB
			\altoMusicC
			\altoMusicB
			\altoMusicD
			\altoMusicB
		}
		\addlyrics { 
			\verseANull
			\verseBAlto
			\verseCNull
			\verseBAlto
			\verseDNull
			\verseBAlto
		}
		\new Staff = "tenor" {
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\tenorMusicA 
			\tenorMusicB
			\tenorMusicC
			\tenorMusicB
			\tenorMusicD
			\tenorMusicB
		}
		\addlyrics { 
			\verseA 
			\verseBTenor
			\verseC
			\verseBTenor
			\verseD
			\verseBTenor
		}
		\new Staff = "bass" {
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\bassMusicA 
			\bassMusicB
			\bassMusicC
			\bassMusicB
			\bassMusicD
			\bassMusicB
		}
		\addlyrics { 
			\verseANull
			\verseBBass
			\verseCNull
			\verseBBass
			\verseDNull
			\verseBBass
		}
	>>
	\layout {
		indent = #0
		\context {
			\RemoveEmptyStaffContext
			\override VerticalAxisGroup #'remove-empty = ##t
			\override VerticalAxisGroup #'remove-first = ##t
		}
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}