\version "2.12.3"
\include "..\SHRepeats.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key a \major
	\sacredHarpHeads 
	\autoBeamOff
	\time 2/2
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	cis2 b4 b cis2 cis a gis a1
	a2 e4 e a2 a \afterGrace cis2 { b16 a } b2 cis2.
	r4 a2.-| r4 b2.-| r4 e4.( cis8 b[ a]) b[ cis] b1
	gis2 b4 b b2. cis4 d2 d cis( b)
	\repeat volta 2 {
		R1*2 r2 cis4 cis8 a b4 b a8[ b] cis[ d] e2
		a,4 a8 a cis4 cis e b a2 cis4 cis8 a b4 b e e cis1( cis2 b2)
		a4( d cis) b8 e, a4( d cis) d e2 d cis1
	}
}

altoMusic = \relative c'
{
	\key a \major 
%	\clef alto
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	R1*2 e2 e4 e e2 e a gis a1( e2)
	r2 a2 gis4 fis e2 e e2.-| r4
	a2 fis gis1
	<gis e>2 <gis e>4 <gis e> <gis e>2. e4 fis2 fis gis1
	\repeat volta 2 {
		r2 e4 e8 fis gis4 e gis a gis2
		r2 gis4 gis8 <b gis> a4 e a2 fis gis2.
		r4 a4 a8 fis e4 e e2 gis a1~ a2
		r2 e4( a gis) <gis e>8 e e4( fis gis) a <gis e>2 <gis e> <a e>1
	}
}

tenorMusic = \relative c''
{
	\key a \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1
	a2 e4 e a2 a cis b cis1
	cis2 b4 b cis2 cis a gis a2.
	r4 cis2.-| r4 b2.-| r4 cis4.( e8 d[ cis]) b[ a] b1
	b2 gis4 b e2. a,4 gis2 fis e1
	\repeat volta 2 {
		R1 r2
		cis'4 cis8 a b4 b a8[ b] cis[ d] e1~ e2 
		fis4 fis8 fis e4 e b b cis1
		r2 b4 b8 b a[ gis] fis[ e] a8.[ b16] cis8[ d] e1
		cis4( fis e) d8 b cis4( fis e) fis8[ d] cis2 b a1
	}
}

bassMusic = \relative f
{
	\clef bass
	\key a \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	R1*3
	<a a,>2 e4 e <a a,>2 <a a,> <a a,> e <a a,>1~ <a a,>2
	r2 a,2 cis4 e <a a,>2 <a a,> e2. r4
	<a a,>2 <b b,> e,1
	e2 e4 e e2. a4 b2 b, e1
	\repeat volta 2 {
		r2 a4 a8 fis e4 e a a, e'1~ e2
		<a a,>4 <a a,>8 <fis a,>8 e4 e d d
		cis2 e4 e8 e a4 a a <cis a,> e,1
		a8[ b] cis b a4 a a a, e'2
		a4( d, e) e8 e a4( d, e) fis e2 e a1
	}
	\bar ".|."
}

verseTreble = \lyricmode
{
	Come my be -- lo -- ved haste a -- way,
	Come my be -- lo -- ved haste a -- way,
	haste, haste haste a -- way,
	Cut short the hours of thy de -- lay;
	Fly like a youth -- ful heart or roe,
	O -- ver the hills where spi -- ces grow;
	Fly like a youth -- ful heart or roe,
	O -- ver the hills where spi -- ces grow.
}

verseAlto = \lyricmode
{
	Come my be -- lo -- ved haste a -- way,
	Come my be -- lo -- ved haste, haste a -- way,
	Cut short the hours of thy de -- lay;
	Fly like a youth -- ful heart or roe,
	O -- ver the hills where spi -- ces grow;
	Fly like a youth -- ful heart or roe,
}

verseTenor = \lyricmode
{
	Come my be -- lo -- ved haste a -- way,
	Come my be -- lo -- ved haste a -- way,
	haste, haste haste a -- way,
	Cut short the hours of thy de -- lay;
	Fly like a youth -- ful heart or roe,
	O -- ver the hills where spi -- ces grow;
	Fly like a youth -- ful heart or roe,
	O -- ver the hills where spi -- ces grow.
}

verseBass = \lyricmode
{
	Come my be -- lo -- ved haste a -- way,
	Come my be -- lo -- ved haste, haste a -- way,
	Cut short the hours of thy de -- lay;
	Fly like a youth -- ful heart or roe,
	O -- ver the hills where spi -- ces grow,
	O -- ver the hills where spi -- ces grow;
	Fly like a youth -- ful heart or roe,
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #3 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "Farmington.  L.M. " %Tune name and hymn meter
	poet = \markup { "A Major.  Isaac Watts, 1719." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\new Staff = "treble" { 
			\trebleMusic 
			}
		\addlyrics { \verseTreble }
		\new Staff = "alto" { 
			\altoMusic 
		}
		\addlyrics { \verseAlto }
		\new Staff = "tenor" { 
			\tenorMusic 
		}
		\addlyrics { \verseTenor }
		\new Staff = "bass" { 
			\bassMusic 
		}
		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
			\override SpanBar #'transparent = ##t %Turns off staff lines between staves
			\override LyricText #'font-size = #-2
			\override LyricSpace #'minimum-distance = #0
			\override StanzaNumber #'font-series = #'medium
			\override StanzaNumber #'font-size = #-2
		}
		\context {
			\Staff
			\override VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 4) %Sets the metronome speed and value of the beat
		}
	}
}