\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key c \major  
	\sacredHarpHeads 
	\autoBeamOff
	\time 3/8
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	\partial 8
	g8^\markup { \tiny Crescendo. } c4 d8 e4 b8^\markup { \tiny Moderato. } c4 d8 e4
	d8 c4 g8 a4 b8 c4
	c8 b4^\markup { \tiny Dim. } a8 g4 b8 c[ b] a g4
	g8^\markup { \tiny Crescendo. } c[ d] e16[ g] f8[ e] d c4.
}

tenorMusic = \relative c''
{
	\key c \major 
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	\partial 8
	c8 e4 b8 c4 d8 e4 d8 c4
	d8 e4 g8 f[ e] d e4
	c8 d4 e8 f4 d8 e[ d] c d4
	d8 e[ d] c16[ e] d8[ c] b c4.
}

bassMusic = \relative f
{
	\clef bass
	\key c \major 
	\sacredHarpHeads 
	\autoBeamOff
%	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	\partial 8
	c8 c4 g'8 e[ c] g' e[ c] g
	c4 g'8 c,4 e8 f[ g] g, c4
	d8 g4 d8 g,4 d'8 c[ d] d g4
	g8 c,4 e8 f[ g] g c,4.
	\bar ".|."
}

verseTreble = \lyricmode
{
%	\set stanza = "1."
	A -- rise, a -- rise! the Lord a -- rose
	On this tri -- um -- phant day;
	Your souls to pi -- e -- ty dis - close,
	A -- rise to bless and pray.
}

verseAlto = \lyricmode
{
}

verseTenor = \lyricmode
{
}

verseBass = \lyricmode
{
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #1 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##t
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "Sunday.  C.M. " %Tune name and hymn meter
	poet = \markup { E \flat " Major.  Christopher Smart." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\override Score.LyricSpace #'minimum-distance = #0
		\override Score.StanzaNumber #'font-series = #'medium
		\override Score.StanzaNumber #'font-size = #-2
		\new Staff = "treble" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\trebleMusic 
		}
		\addlyrics { \verseTreble }
%		\new Staff = "alto" { 
%			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
%			\altoMusic 
%		}
%		\addlyrics { \verseAlto }
		\new Staff = "tenor" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\tenorMusic 
		}
		\addlyrics { \verseTreble }
		\new Staff = "bass" { 
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\bassMusic 
		}
%		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 132 8) %Sets the metronome speed and value of the beat
		}
	}
}