\version "2.12.3"
\include "..\SHRepeats_Dots.ly"
%#(set-global-staff-size 19)

trebleMusic = \relative c''
{
	\key d \major  
	\sacredHarpHeads 
	\autoBeamOff
	\time 6/8
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	\partial 8
	a8 d a b a4 b16[ cis] d8 fis d e4
	d8 fis d b a4 fis32[ a16.] d8 fis e d4\fermata
	a8 b cis d cis4 b16 ais 
	\partial 8*5 b8 b ais b4
	\repeat volta 2 {
		\partial 8
		cis8 d fis a fis d b 	
	}
	\alternative {
		{ \partial 8*5 e8 d cis d4 }
		{ e8 d cis d4. }
	}
	r4 r8 r4 d16 e fis8 e d cis b a fis a d cis4
	b16 cis d8 e fis e4-| d16 cis b8 a g fis
	a8 cis d d d d4
	a8 e' e e e4 d16 e fis8 d a' fis
	d8 e d-| d-| d-| d4.-|\fermata
	
	\time 2/4
	\key f \major
	r4 a4 d e8 c d4. e8 f[ e] d cis d4.
	a8 c4 c8 c c4-| f-| e d8 cis a4
	a8 a bes g g4 c c8 c f[ e] d cis d4.
	d8 f4 e8 d cis4. d8 e4 e8 e e4 d8 cis c4 c8 c d4
	a8 a c4 d8 e d4 c8 a bes4 g8 g c4. f8 d4 cis8 cis d2
	
	\time 2/2
	\key d \major
	\partial 2 r2^"ALLEGRO."
	\repeat volta 2 {
		\partial 2 a4. a8 d2 e4 cis d2
		a4 b a2 d4 e fis2
		fis4 a g2 fis4 e fis2
		r4 cis4 d2 d4 fis d2 
		a4 fis b2 cis4 d cis2
		a4 a d( g) fis e
	}
	\alternative {
		{ \partial 2 d2 }
		{ d1 }
	}
	
	\time 6/8
	r4 r8 r4 d16 e fis8 e d e4-|
	d16 cis d8 cis b a4\fermata
	fis16 a d8 fis a d,4
	a16 a d8 fis a e4\fermata
	fis16 e d8 cis b cis4-|
	b16 ais fis8 b ais^\markup { \tiny Pia. } b4\fermata
	a16 fis a8 d fis e4-|
	fis16 e d8 cis b a4\fermata
	g16 fis b8 a cis^\markup { \tiny Forte. } d4-|
	fis16 a g8 fis e d4.\fermata
	\bar ".|."
}

tenorMusic = \relative c''
{
	\key d \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	\partial 8
	fis,8 fis fis g fis4 g8 fis a fis g4
	fis8 a d fis fis4 fis8 fis a g fis4\fermata
	g8 fis fis fis g4 fis16 fis
	\partial 8*5 fis8 fis fis <fis d>4
	\repeat volta 2 {
		\partial 8
		e8 fis d a d fis a
	}
	\alternative {
		{ \partial 8*5 g8 fis e fis4 }
		{ g8 fis e fis4. }
	}
	r4 r8 r4 a,16 cis d8 cis b a g' fis fis fis fis <g e>4
	d16 e fis8 e d e4 fis16 g g8 g g fis d e fis fis fis fis4
	a,8 <cis a> <cis a> cis cis4 b16 cis d8 a 
	fis'8 d fis, g <fis fis'> <fis fis'> <fis fis'> <fis fis'>4.\fermata

	\time 2/4
	\key f \major
	r4 a4 f8[ f'] e g f4. g8 a[ g] f e f4.
	a,8 a4 a8 a a4-| d-| c bes8 a f4 
	f8 f g e e4 a4 a8 a a[ g] f e f4.
	f8 f'[ a] g f e4. d8 e4 g,8 g g4
	f8 e a4 g8 g f4 f8 f8 a4 a8 a a4
	a8 a g4 bes8 bes a4. a8 f4 e8 e <f d>2

	\time 2/2
	\key d \major
	\partial 2 r2
	\repeat volta 2 {
		\partial 2 fis4. fis8 fis2 g4 e fis2 
		fis4 g fis2 g4 a d2
		d4 fis e2 d4 cis d2
		r4 a fis2 fis4 d' a2 
		fis4 d b'2 a4 b a2
		fis4 fis fis( b) a g
	}
	\alternative {
		{ \partial 2 fis2 }
		{ fis1 }
	}
	
	\time 6/8
	r4 r8 r4 d'16 cis d8 e fis g4
	fis16 e fis8 e d cis4\fermata
	a16 fis a8 d fis a,4
	fis16 fis fis8 d' e cis4\fermata
	d16 e fis8 e fis e4-|
	fis16 fis b,8 b fis fis4\fermata
	fis16 a d8 fis d cis4-|
	d16 e fis8 e d e4\fermata
	fis16 e d8 cis e a,4-|
	d16 fis e8 d <cis a> <d a>4.\fermata
}

bassMusic = \relative f
{
	\clef bass
	\key d \major 
	\sacredHarpHeads 
	\autoBeamOff
	\override Staff.BarLine #'stencil = #with-shapenote-repeats

	\partial 8
	d8 d d g fis4 d8 d d b a4
	a8 d fis a d,4 a8 d a' a, d4\fermata 
	<d a>8 d d b a4 <ais fis>8
	\partial 8*5 b8 b fis' b,4
	\repeat volta 2 {
		\partial 8
		a8 d d a' d, e fis	
	}
	\alternative {
		{ \partial 8*5 g8 a a, d4 }
		{ g8 a a, d4. }
	}
	r4 r8 r4 d16 d d8 e fis g e fis a a a g,4
	b16 b b8 a' fis g4
	a16 a, b8 b <a a'> d d a d d d d4
	a'8 a, a a a4 a16 a d8 d d d 
	d a d-| d-| d-| d4.\fermata
	
	\time 2/4
	\key f \major
	r4 f4 d a8 a d4. d8 a4 a8 a d4.
	c8 f4 f8 f f4 d8[ f] a,4 a8 a8 f'4
	f8 f e c c4 f f8 f f[ g] a a, d4.
	d8 d4 d8 d a4. a8 a4 a8.[ a16] a4
	a8 a a4 a8 a d4 d8 d a4 a8 f' f4
	f8 f e4 e8 e f4. f16[ g] a4 a,8 a d2
	
	\time 2/2
	\key d \major
	\partial 2 r2
	\repeat volta 2 {
		\partial 2 d4. d8 d2 a4 a d2 
		d4 cis d2 g,4 a d2
		a'4 a, e'2 a4 a, d2
		r4 d4 d2 a'4 a, d2
		d4 fis g2 fis4 d a2
		d4 d b( g) a a
	}
	\alternative {
		{ \partial 2 d2 }
		{ d1 }
	}
	
	\time 6/8
	r4 r8 r4 d16 e d8 d d a4
	a'16 g fis8 fis d a4\fermata
	d16 d d8 d a d4-|
	d16 d d8 d d a4\fermata
	a16 a d8 a' d a4-|
	fis16 fis d8 e fis b,4\fermata
	d16 d d8 d d <cis a'>4-|
	d16 cis d8 a' d, a4\fermata
	d16 cis d8 a' a, d4-|
	d16 d g8 a <a a,> d,4.\fermata
}

verseTreble = \lyricmode
{
%	\set stanza = "1."
	Come let us re -- new, Our jour -- ney pur -- sue,
	Roll round with the year, Roll round with the year,
	And ne -- ver stand still, 'Til our ma -- ster ap -- pear,
	And ne -- ver stand still, 'Til our ma -- ster ap -- pear.
		ma -- ster ap -- pear.
	His a -- dor -- a -- ble will, 
	Let us glad -- ly ful -- fil,
	And our ta -- lents im -- prove,
	By the pa -- tience of hope,
	And the la -- bour of love,
		the la -- bour of love,
	By the pa -- tience of hope,
	And the la -- bour of love.
	
	Our life is a dream,
	Our time as a stream
	Glides swift -- ly a -- way,
	Glides swift -- ly a -- way,
	And the fu -- gi -- tive mo -- ment re -- fu -- ses to stay:
	The ar -- row is flown,
	The mo -- ment is gone,
	The mil -- len -- ni -- al year, ru -- shes on to our view,
	And e -- ter -- ni -- ty's here, e -- ter -- ni -- ty's here.
	
	O that each on the day,
	Of his co -- ming may say,
	I have fought my way thro',
	have fought my way thro',
	I have fin -- ish'd the work
	Thou dids't give me to do.
		do.
	
	O that each from the Lord,
	May re -- ceive the glad word,
	Well and faith -- fu -- ly done,
	Well and faith -- fu -- ly done,
	En -- ter in -- to my joy, 
	And sit down on my throne,
	En -- ter in -- to my joy, 
	And sit down on my throne,
	En -- ter in -- to my joy, 
	And sit down on my throne.
}

verseAlto = \lyricmode
{
}

verseTenor = \lyricmode
{
}

verseBass = \lyricmode
{
}

\paper {
	#(set-paper-size "letter" 'landscape)
	line-width = 10\in
	horizontal-shift = 0.175\in
	system-count = #9 %Suggests to Lilypond how many braces to use for this piece.
	ragged-last-bottom = ##f
	top-margin = 0.4\in
	bottom-margin = 0.5\in
	after-title-space = 2\mm
}

\header {
	title = "Transmigration." %Tune name and hymn meter
	poet = \markup { "D Major." } %key and poet
	composer = "Supply Belcher, 1794." %Tune composer and date
	tagline = ##f %Turns off annoying Lilypond version stamp on bottom of page
}

\score 
{
	\new StaffGroup <<
		\override Score.SpanBar #'transparent = ##t %Turns off staff lines between staves
		\override Score.LyricText #'font-size = #-1
		\override Score.LyricSpace #'minimum-distance = #0
		\override Score.StanzaNumber #'font-series = #'medium
		\override Score.StanzaNumber #'font-size = #-1
		\new Staff = "treble" { 
			#(set-accidental-style 'modern-voice)
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\trebleMusic 
		}
		\addlyrics { \verseTreble }
%		\new Staff = "alto" { 
%			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
%			\altoMusic 
%		}
%		\addlyrics { \verseAlto }
		\new Staff = "tenor" { 
			#(set-accidental-style 'modern-voice)
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\tenorMusic 
		}
%		\addlyrics { \verseTenor }
		\new Staff = "bass" { 
			#(set-accidental-style 'modern-voice)
			\override Staff.VerticalAxisGroup #'minimum-Y-extent = #'(-3 . 3)		
			\bassMusic 
		}
%		\addlyrics { \verseBass }
	>> 
	\layout {
		indent = #0
		\context {
			\Score
			\remove "Bar_number_engraver" %Gets rid of measure numbers at the beginning of each brace
		}
	}
	\midi {
		\context {
			\Score
			tempoWholesPerMinute = #(ly:make-moment 120 8) %Sets the metronome speed and value of the beat
		}
	}
}